=== debian/changelog ===
xabacus (8.2.2-1) unstable; urgency=medium

  * TODO: Fix play.sh mess
  * New upstream release
  * Update standards version to 4.4.1
  * Add override for missing manpage for trivial wrapper

 -- Jonathan Carter <jcc@debian.org>  Mon, 16 Sep 2019 09:36:41 +0000
