## xabacus 8.2.3

=== debian/changelog ===
xabacus (8.2.3-1) unstable; urgency=medium

  * New upstream release

 -- Jonathan Carter <jcc@debian.org>  Wed, 11 Dec 2019 09:32:58 +0200
