## xabacus 8.2.4

=== win32/Makefile ===
--- 
+++ 
@@ -252,8 +252,9 @@
 $(wIDGET)Demo.xml:	../$(wIDGET)Demo.xml
 	$(CP) ../$(wIDGET)Demo.xml $@
 
-$(WIDGET).txt:	../COPYING version.h ../README ../TODO ../ChangeLog
-#	cat ../COPYING > $@
+$(WIDGET).txt:	version.h ../README ../TODO ../ChangeLog
+	> $@
+#	cat ../COPYING >> $@
 #	echo "" >> $@
 	grep VERSION version.h | cut -f2 -d\" >> $@
 	echo "" >> $@
@@ -261,7 +262,7 @@
 	echo "" >> $@
 	cat ../TODO >> $@
 	echo "" >> $@
-	echo "Updates to abacus:" >> $(WIDGET).txt
+	echo "Updates:" >> $(WIDGET).txt
 	cat ../ChangeLog >> $@
 #	echo "" >> $@
 #	cat ../NEWS >> $@
