=== debian/changelog ===
xabacus (8.2.4-1) unstable; urgency=medium

  * New upstream release
  * Declare rules-requires-root

 -- Jonathan Carter <jcc@debian.org>  Thu, 09 Jan 2020 14:22:21 +0200
