=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: games
 Priority: optional
 Maintainer: Jonathan Carter <jcc@debian.org>
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 12),
                dpkg-dev (>= 1.16.1~),
                libaudiofile-dev,
