## xabacus 8.2.7

=== win32/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # @(#)Makefile
 #
-# Copyright 1995 - 2019  David A. Bagley, bagleyd AT verizon.net
+# Copyright 1995 - 2020  David A. Bagley, bagleyd AT verizon.net
 #
 # All Rights Reserved
 #
@@ -127,14 +127,16 @@
 HDRS = $(WIDGET)P.h $(WIDGET).h \
 xwin.h file.h timer.h rngs.h sound.h version.h
 
-COREOBJS = $(WIDGET)$(O)$(S)$(WIDGET)C$(O)$(S)$(WIDGET)D$(O)$(S)\
-$(WIDGET)M$(O)$(S)$(WIDGET)T$(O)$(S)$(WIDGET)F$(O)
+COREOBJS = $(WIDGET)$(O)$(S)$(WIDGET)U$(O)$(S)$(WIDGET)C$(O)$(S)\
+$(WIDGET)D$(O)$(S) $(WIDGET)M$(O)$(S)$(WIDGET)T$(O)$(S)$(WIDGET)F$(O)$(S)\
+$(WIDGET)E$(O)
 UTILOBJS = xwin$(O)$(S)file$(O)$(S)timer$(O)$(S)rngs$(O)$(S)sound$(O)
-OBJS = $(COREOBJS)$(S)$(WIDGET)E$(O)$(S)$(P)$(wIDGET)$(O)$(S)$(UTILOBJS)
+OBJS = $(COREOBJS)$(S)$(P)$(wIDGET)$(O)$(S)$(UTILOBJS)
 XMLOBJS = $(COREOBJS)$(S)$(WIDGET)xmlE$(O)$(S)$(P)$(wIDGET)$(O)$(S)$(UTILOBJS)
 
-CORESRCS = $(WIDGET)$(C) $(WIDGET)C$(C) $(WIDGET)D$(C) \
-$(WIDGET)M$(C) $(WIDGET)T$(C) $(WIDGET)F$(C) $(WIDGET)E$(C)
+CORESRCS = $(WIDGET)$(C) $(WIDGET)U$(C) $(WIDGET)C$(C) \
+$(WIDGET)D$(C) $(WIDGET)M$(C) $(WIDGET)T$(C) $(WIDGET)F$(C) \
+$(WIDGET)E$(C)
 UTILSRCS = xwin$(C) file$(C) timer$(C) rngs$(C) sound$(C)
 SRCS = $(UTILSRCS) $(CORESRCS) $(P)$(wIDGET)$(C)
 
@@ -212,6 +214,9 @@
 $(WIDGET)$(C):	../$(WIDGET)$(C)
 	$(LN_S) ../$(WIDGET)$(C) $@
 
+$(WIDGET)U$(C):	../$(WIDGET)U$(C)
+	$(LN_S) ../$(WIDGET)U$(C) $@
+
 $(WIDGET)C$(C):	../$(WIDGET)C$(C)
 	$(LN_S) ../$(WIDGET)C$(C) $@
 
@@ -224,11 +229,11 @@
 $(WIDGET)T$(C):	../$(WIDGET)T$(C)
 	$(LN_S) ../$(WIDGET)T$(C) $@
 
+$(WIDGET)F$(C):	../$(WIDGET)F$(C)
+	$(LN_S) ../$(WIDGET)F$(C) $@
+
 $(WIDGET)E$(C):	../$(WIDGET)E$(C)
 	$(LN_S) ../$(WIDGET)E$(C) $@
-
-$(WIDGET)F$(C):	../$(WIDGET)F$(C)
-	$(LN_S) ../$(WIDGET)F$(C) $@
 
 xwin$(C):	../xwin$(C)
 	$(LN_S) ../xwin$(C) $@
@@ -266,18 +271,22 @@
 	cat ../ChangeLog >> $@
 #	echo "" >> $@
 #	cat ../NEWS >> $@
+	cp $@ $@.old
+	unix2dos $@.old $@
+	rm $@.old
 
 # This is for X-Windows but contains some general stuff too.
 x$(wIDGET).htm:	../x$(wIDGET).html
 	$(LN_S) ../x$(wIDGET).html $@
 
 $(WIDGET)$(O):	$(HDRS)
+$(WIDGET)U$(O):	$(WIDGET).h $(WIDGET)P.h
 $(WIDGET)C$(O):	$(WIDGET).h $(WIDGET)P.h
 $(WIDGET)D$(O):	$(WIDGET).h $(WIDGET)P.h file.h
 $(WIDGET)M$(O):	$(WIDGET).h $(WIDGET)P.h
 $(WIDGET)T$(O):	$(WIDGET).h $(WIDGET)P.h
+$(WIDGET)F$(O):	$(WIDGET)P.h
 $(WIDGET)E$(O):	$(WIDGET)P.h
-$(WIDGET)F$(O):	$(WIDGET)P.h
 xwin$(O):	xwin.h
 file$(O):	file.h
 timer$(O):	timer.h
