=== debian/changelog ===
xabacus (8.2.7-1) unstable; urgency=medium

  * New upstream release

 -- Jonathan Carter <jcc@debian.org>  Thu, 23 Apr 2020 14:42:35 +0200

xabacus (8.2.6-1) unstable; urgency=medium

  * New upstream release
  * Update standards version to 4.5.0
  * Update copyright years, minor fixes to copyright file

 -- Jonathan Carter <jcc@debian.org>  Wed, 15 Apr 2020 12:31:12 +0200
