## xabacus 8.2.8

=== debian/changelog ===
xabacus (8.2.8-1) unstable; urgency=medium

  * New upstream release
  * Upgrade to debhelper-compat 13

 -- Jonathan Carter <jcc@debian.org>  Wed, 15 Jul 2020 12:52:38 +0200
