## xabacus 8.2.9

=== win32/Makefile ===
--- 
+++ 
@@ -98,8 +98,6 @@
 V=$(P)
 PROG = $(R)$(wIDGET)
 VER = $(V)$(wIDGET)
-STORE = /dosa/$(PROG)/
-STORE2 = /dosc/$(PROG)/
 
 READPATH = c:/WINDOWS
 #READPATH = /WINDOWS
@@ -271,9 +269,6 @@
 	cat ../ChangeLog >> $@
 #	echo "" >> $@
 #	cat ../NEWS >> $@
-	cp $@ $@.old
-	unix2dos $@.old $@
-	rm $@.old
 
 # This is for X-Windows but contains some general stuff too.
 x$(wIDGET).htm:	../x$(wIDGET).html
