=== debian/changelog ===
xabacus (8.2.9-1) unstable; urgency=medium

  * New upstream release

 -- Jonathan Carter <jcc@debian.org>  Tue, 11 Aug 2020 12:11:25 +0200
