## xabacus 8.3.1

=== debian/changelog ===
xabacus (8.3.1-1) unstable; urgency=medium

  * New upstream release
  * Update standards version to 4.5.1

 -- Jonathan Carter <jcc@debian.org>  Sun, 13 Dec 2020 13:54:48 +0200
