## xabacus 8.3.2

=== debian/changelog ===
xabacus (8.3.2-1) unstable; urgency=medium

  * New upstream release

 -- Jonathan Carter <jcc@debian.org>  Tue, 12 Jan 2021 17:08:39 +0200
