## xabacus 8.3.4

=== win32/Makefile ===
--- 
+++ 
@@ -47,7 +47,7 @@
 #CC = gcc -Wall -ansi -pedantic
 #GCC = gcc-3 -mno-cygwin
 GCC = $(TRIPLET)-gcc
-CC = $(GCC) -Wall -W -Wcast-qual -Wconversion -Wimplicit -Wmissing-declarations -Wunused -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Wmissing-prototypes -Wstrict-prototypes -Wno-format -Wstrict-aliasing
+CC = $(GCC) -Wall -W -Wcast-qual -Wconversion -Wimplicit -Wmissing-declarations -Wunused -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Wno-format -Wstrict-aliasing -Wnested-externs -Wmissing-prototypes -Wno-overlength-strings -Wdeclaration-after-statement -std=c89 -U__STRICT_ANSI__
 
 # DEFAULT, Watcom
 LD = $(CC)
