=== debian/changelog ===
xabacus (8.3.4-1) unstable; urgency=medium

  * New upstream release
  * Update copyright years

 -- Jonathan Carter <jcc@debian.org>  Tue, 16 Feb 2021 19:02:08 +0200
