=== debian/watch ===
version=4
opts=dversionmangle=s/-\d\+dfsg// \
http://www.sillycycle.com/abacus/ xabacus-(.*)\.tar\.xz
