## xabacus 8.3.5

=== win32/Makefile ===
--- 
+++ 
@@ -178,7 +178,7 @@
 	$(CC) -c $(CFLAGS) $<
 
 .rc.res:
-	$(RC) -r $(INCLUDES) $<
+	$(RC) -r -o $(INCLUDES) $<
 
 all:	$(PROG)$(E) $(TEXT)
