=== debian/changelog ===
xabacus (8.3.5-1) unstable; urgency=medium

  * New upstream release

 -- Jonathan Carter <jcc@debian.org>  Tue, 06 Apr 2021 14:53:44 +0200
