## xabacus 8.4.1

=== debian/changelog ===
xabacus (8.4.1-1) unstable; urgency=medium

  * New upstream release
  * Remove Bokmal language patch (now applied upstream)

 -- Jonathan Carter <jcc@debian.org>  Mon, 25 Apr 2022 13:04:58 +0200

xabacus (8.4.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Use correct machine-readable copyright file URI.
  * Use secure URI in debian/watch.
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Submit (from ./configure).
  * Remove obsolete field Contact from debian/upstream/metadata (already present
    in machine-readable debian/copyright).
  * Fix day-of-week for changelog entry 8.1.4+dfsg1-1.

  [ Jonathan Carter ]
  * New upstream release
  * Include Norwegian Bokmål initial translation (Closes: #986355)
  * Update standards version to 4.6.0
  * Update copyright years

 -- Jonathan Carter <jcc@debian.org>  Fri, 03 Sep 2021 11:32:41 +0200
