## xabacus 8.4.2

=== debian/changelog ===
xabacus (8.4.2-1) unstable; urgency=medium

  * New upstream release

 -- Jonathan Carter <jcc@debian.org>  Tue, 03 May 2022 12:39:38 +0200
