=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: games
 Priority: optional
 Maintainer: Jonathan Carter <jcc@debian.org>
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dpkg-dev (>= 1.16.1~),
@@ -11,7 +11,7 @@
                libmotif-dev,
                libxpm-dev,
                libxt-dev
-Homepage: http://www.sillycycle.com/abacus.html
+Homepage: https://www.sillycycle.com/abacus.html
 Vcs-Browser: https://salsa.debian.org/debian/xabacus
 Vcs-Git: https://salsa.debian.org/debian/xabacus.git
