## xabacus 8.5.1

=== win32/Makefile ===
--- 
+++ 
@@ -322,6 +322,9 @@
 run:
 	./$(PROG)
 
+wine:
+	wine ./$(PROG)
+
 # runtime options are currently ignored in Windows, set in ini file
 
 clean:
