=== debian/changelog ===
xabacus (8.5.1-1) unstable; urgency=medium

  * New upstream release
  * Fix watch file

 -- Jonathan Carter <jcc@debian.org>  Wed, 10 Aug 2022 10:38:01 +0200

xabacus (8.5.0-1) unstable; urgency=medium

  * New upstream release
  * Update standards version to 4.6.1

 -- Jonathan Carter <jcc@debian.org>  Sun, 10 Jul 2022 20:40:55 +0200

xabacus (8.4.3-1) unstable; urgency=medium

  * New upstream release

 -- Jonathan Carter <jcc@debian.org>  Mon, 23 May 2022 17:58:43 +0200
