=== debian/watch ===
version=4
opts=dversionmangle=s/-\d\+dfsg// \
https://www.sillycycle.com/abacus/ xabacus-(.*)\.tar\.bz2
